Bug 873331 - Applying changes by access key (alt+A) doesn't work
Applying changes by access key (alt+A) doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-11-05 10:02 EST by Jan Stodola
Modified: 2014-02-05 17:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:51:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-11-05 10:02:30 EST
Description of problem:
In some cases, accelerator key (alt+A) to apply changes on custom partitioning screen doesn't work properly. See steps to reproduce.

Version-Release number of selected component (if applicable):
anaconda-18.24

How reproducible:
always

Steps to Reproduce:
1. start installation in graphical mode
2. go to custom partitioning
3. remove all existing partitions
4. let anaconda create partitioning automatically

A) (when editing "Standard Partition" device type)
* select /boot mount point
* change Desired Capacity to 300 and press alt+A to apply changes
* Desired capacity changes back to 500
* change Mount Point to "/boota" and press alt+A to apply changes
* Mount Point changes back to "/boot", but list of mount points on the left now contains mount point "/boota"
  
B) (when editing "LVM" device type)
* select / mount point
* change Desired Capacity to 5000 and press alt+A to apply changes
* new size is applied in the Desired Capacity field, but list of mount point on the left still displays the old size


Actual results:
in short - accelerator key to "Apply Changes" behaves mysteriously, see steps to reproduce

Expected results:
accelerator key alt+A works the same way like clicking on "Apply Changes" button
Comment 1 Chris Lumens 2012-11-07 11:21:57 EST
I can reproduce the capacity thing in (A) but not the mount point.  I can only reproduce (B) if I choose to make / smaller.  If I try to make it larger, it resets to the original size, likely because there's no room to grow the LV.

Strangely, clicking the button appears to make everything work.
Comment 2 Chris Lumens 2012-11-07 11:38:15 EST
Oh, this is GtkSpinButton's fault.  You must press enter after changing the value in the spinner, or it will not have a new value when we query it.  I don't see any way around this in the GTK docs, either.
Comment 3 Jan Stodola 2012-11-08 03:41:37 EST
OK, reassigning to gtk3 based on comment 2. This issue makes using anaconda without a keyboard a bit annoying.
Comment 4 Jan Stodola 2012-11-08 04:22:28 EST
Sorry for confusion, I wanted to say "without a mouse"
Comment 5 Fedora End Of Life 2013-12-21 10:10:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:51:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.